InstanceId (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class InstanceId

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Expression
          fr.inrialpes.exmo.align.impl.edoal.InstanceExpression
              fr.inrialpes.exmo.align.impl.edoal.InstanceId

All Implemented Interfaces:
  Id, ValueExpression, Cloneable, Visitable

    public class InstanceId

extends InstanceExpression
implements Id

A simple Id to represent a Instance.

Author:
  richi

Field Summary
`private URI` | `uri`

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`variable`

Constructor Summary
`InstanceId()` Creates an anonymous instance pattern
`InstanceId(URI u)` Constructs a InstanceId.

Method Summary
`URI` | `getURI()` Returns a plain representation of the value of this id.
`String` | `plainText()` Returns the Id.
`void` | `setURI(URI u)`
`String` | `toString()` Returns a simple description of this object.

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.InstanceExpression
`accept`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`accept, getVariable, setVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uri

    private URI uri

Constructor Detail

### InstanceId

    public InstanceId()

  Creates an anonymous instance pattern

### InstanceId

    public InstanceId(URI u)

  Constructs a InstanceId.

  Parameters:
    `id` - the id of the class

Method Detail

### getURI

    public URI getURI()

  Description copied from interface: `Id`
  Returns a plain representation of the value of this id.

  Specified by:
    `getURI` in interface `Id`
  Returns:
    the plain text representation.

### setURI

    public void setURI(URI u)

### plainText

    public String plainText()

  Returns the Id.

  Specified by:
    `plainText` in interface `Id`
  Returns:
    the id.

### toString

    public String toString()

  Returns a simple description of this object. The format of the returned String is undocumented and subject to change.

  An expamle return String could be: `instanceId: http://my/super/instance`

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010